<?php
/******************************************************************************/
/* AEL Sarl : Web hosting, datacenter, gestion et comptabilité déportées      */
/* Copyright (C) 2008 Affaires En Ligne S.A.R.L.                              */
/* Contact : contact@affaires-en-ligne.fr                                     */
/* Web : http://www.spidboutic.fr                                             */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/*
 * Created on 8 oct. 07 by AEL Sarl for
 * 
 * osCommerce, Open Source E-Commerce Solutions
 * http://www.oscommerce.com
 *
 * Copyright (c) 2003 osCommerce
 *
 * Released under the GNU General Public License
 * 
 */

require_once("OpensiStructure.php");

class OpensiOrderProduct implements OpensiStructure {
	
	const REFERENCE = 0;
	const PRIX_U = 1;
	const QUANTITE = 2;
	const REMISE = 3;
	const DESIGNATION = 4;
	const TVA = 5;
	const COMMENTAIRE = 6;
	
	/**
	 * Build an OpensiOrderProduct
	 * 
	 * @param	array	$order_product	an ordered product, as an array of values
	 */
	public function __construct($order_product) {
		
		$this->order_product = $order_product;
	}
	
	/**
	 * Prepare the upload of the OpensiOrderProduct object
	 * 
	 * @return array	prepared for upload object
	 */
	public function prepareUpload() {
		$prepared = $this->order_product;
		
		return $prepared;
	}
}
?>
